FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux General Discussion

 
 
LinkBack Thread Tools
 
Old 06-18-2012, 05:46 PM
Nabil Freij
 
Default time to drop openjdk6 ?

What about building an android rom image? I believe that still needs
openjdk6?

Nab

On 14 June 2012 19:37, David C. Rankin <drankinatty@suddenlinkmail.com>wrote:

> On 06/13/2012 12:32 PM, Andreas Radke wrote:
>
>> Oracle has declared JRE/JDK7 the preferred one over JRE/JDK6. So it
>> should be now stable enough to replace Java6 for everyone also in the
>> OpenJDK community releases.
>>
>> I'm asking if there's somebody still in the need to use openjdk6 for
>> certain apps that fail to run with openjdk7? If so please report it
>> upstream.
>>
>> I know there's are still some commercial java apps that will only run
>> on the Oracle JRE6 or JRE7 but I ask only if somebody prefers openjdk6
>> in our repos over java7-openjdk.
>>
>> I'd like to drop openjdk6 when the next security update will be
>> released if possible.
>>
>> -Andy
>>
>
> Andy,
>
> The only issue I've run into lately is the build requirement of 'libhpi'.
> I can't recall which package needed it, but it was only available in
> openjdk6 and is dropped from 7. I don't know how many other libs differ
> between 6 & 7, but for all packages that need libhpi openjdk6 is still
> required.
>
> --
> David C. Rankin, J.D.,P.E.
>
 
Old 06-18-2012, 08:33 PM
Daniel Wallace
 
Default time to drop openjdk6 ?

On Mon, Jun 18, 2012 at 06:46:05PM +0100, Nabil Freij wrote:
> What about building an android rom image? I believe that still needs
> openjdk6?
>
> Nab
>
> On 14 June 2012 19:37, David C. Rankin <drankinatty@suddenlinkmail.com>wrote:
>
> > On 06/13/2012 12:32 PM, Andreas Radke wrote:
> >
> >> Oracle has declared JRE/JDK7 the preferred one over JRE/JDK6. So it
> >> should be now stable enough to replace Java6 for everyone also in the
> >> OpenJDK community releases.
> >>
> >> I'm asking if there's somebody still in the need to use openjdk6 for
> >> certain apps that fail to run with openjdk7? If so please report it
> >> upstream.
> >>
> >> I know there's are still some commercial java apps that will only run
> >> on the Oracle JRE6 or JRE7 but I ask only if somebody prefers openjdk6
> >> in our repos over java7-openjdk.
> >>
> >> I'd like to drop openjdk6 when the next security update will be
> >> released if possible.
> >>
> >> -Andy
> >>
> >
> > Andy,
> >
> > The only issue I've run into lately is the build requirement of 'libhpi'.
> > I can't recall which package needed it, but it was only available in
> > openjdk6 and is dropped from 7. I don't know how many other libs differ
> > between 6 & 7, but for all packages that need libhpi openjdk6 is still
> > required.
> >
> > --
> > David C. Rankin, J.D.,P.E.
> >

as another point on this... don't you also need gcc 4.4 as well? I am
fairly certain you cannot build it with gcc 4.7 and possibly not 4.6
 
Old 06-18-2012, 09:20 PM
Nabil Freij
 
Default time to drop openjdk6 ?

Well I've yet to have a problem with up to date versions of gcc - but I've
run in to unconnected issues with building my SG3 rom and I won't be able
to work on it for two weeks to be able to check. Most people say you need
to downgrade make as well, but again, yet to come across a problem with
using an up to date make.

On 18 June 2012 21:33, Daniel Wallace <daniel.wallace@gatech.edu> wrote:

> On Mon, Jun 18, 2012 at 06:46:05PM +0100, Nabil Freij wrote:
> > What about building an android rom image? I believe that still needs
> > openjdk6?
> >
> > Nab
> >
> > On 14 June 2012 19:37, David C. Rankin <drankinatty@suddenlinkmail.com
> >wrote:
> >
> > > On 06/13/2012 12:32 PM, Andreas Radke wrote:
> > >
> > >> Oracle has declared JRE/JDK7 the preferred one over JRE/JDK6. So it
> > >> should be now stable enough to replace Java6 for everyone also in the
> > >> OpenJDK community releases.
> > >>
> > >> I'm asking if there's somebody still in the need to use openjdk6 for
> > >> certain apps that fail to run with openjdk7? If so please report it
> > >> upstream.
> > >>
> > >> I know there's are still some commercial java apps that will only run
> > >> on the Oracle JRE6 or JRE7 but I ask only if somebody prefers openjdk6
> > >> in our repos over java7-openjdk.
> > >>
> > >> I'd like to drop openjdk6 when the next security update will be
> > >> released if possible.
> > >>
> > >> -Andy
> > >>
> > >
> > > Andy,
> > >
> > > The only issue I've run into lately is the build requirement of
> 'libhpi'.
> > > I can't recall which package needed it, but it was only available in
> > > openjdk6 and is dropped from 7. I don't know how many other libs differ
> > > between 6 & 7, but for all packages that need libhpi openjdk6 is still
> > > required.
> > >
> > > --
> > > David C. Rankin, J.D.,P.E.
> > >
>
> as another point on this... don't you also need gcc 4.4 as well? I am
> fairly certain you cannot build it with gcc 4.7 and possibly not 4.6
>
 

Thread Tools




All times are GMT. The time now is 09:00 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org